---
# main tasks file for googlecloud role

- name: Add the Google Cloud Apt signing key
  become: yes
  apt_key:
    url: https://packages.cloud.google.com/apt/doc/apt-key.gpg
    keyring: /usr/share/keyrings/cloud.google.gpg
    state: "{{ googlecloud_state | default('present') }}"
  tags:
    - googlecloud
    - googlecloud_apt_config

- name: Add the Google Cloud Apt repository
  become: yes
  apt_repository:
    repo: "deb [signed-by=/usr/share/keyrings/cloud.google.gpg] https://packages.cloud.google.com/apt cloud-sdk main"
    state: "{{ googlecloud_state | default('present') }}"
  tags:
    - googlecloud
    - googlecloud_apt_config

- name: Install google-cloud-sdk-gke-gcloud-auth-plugin
  become: yes
  apt:
    name: "{{ item }}"
    state: "{{ googlecloud_state | default('latest') }}"
    update_cache: yes
  loop:
    - google-cloud-sdk-gke-gcloud-auth-plugin
  tags:
    - googlecloud
    - googlecloud_install
